Subject: Re: bug#25355: 26.0.50; Provide function to non-destructively replace buffer contents

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 May 2017 21:05:50 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Sun, 07 May 2017 17:44:27 +0000
> 
> FYI, I've now implemented this based on libmba (http://www.ioplex.com/~miallen/libmba/). Unless there are
> concerns importing part of that library into the Emacs source tree, I'll send a patch.

I'm not sure I understand what you mean by "importing part of that
library".  Are you going to ask the author to sign legal papers
assigning copyright to the FSF?

P.S. Doesn't GNU Diff have code to do this?  Even dispnew.c has
something similar, see scrolling_window.